Subject: bug#51460: closed (Re: bug#51460: emacs-magit: path error during commit)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Oct 2023 03:26:02 +0000

Your bug report

#51460: emacs-magit: path error during commit

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51460: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51460
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51460: emacs-magit: path error during commit
From: Maxim Cournoyer <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Oct 2023 23:24:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Christopher,
>
> Christopher Howard <[email-masked]> writes:
>
>> Hello, for a long time I've struggled with getting a path error when I
>> try to do a commit using emacs-magit. Here is an example log copied from
>> the magit-process buffer:
>>
>> ```
>>   0 git … add -u -- Genesis/gen_1.org
>>   1 git … commit --
>> hint: Waiting for your editor to close the file...
>> Waiting for Emacs...
>> *ERROR*: Searching for program: No such file or directory, git
>> error: There was a problem with the editor
>> '/gnu/store/dpky3z5844bclhswdk69z90vayy65b58-emacs-27.2/bin/emacsclient
>> --socket-name=/run/user/1000/emacs/server'.
>> Please supply the message using either -m or -F option.
>> ```
>
> One thing I can think about is that emacs-magit doesn't refer to git
> directly:
>
> $ guix gc -R /gnu/store/xd1bvmac1p4gjxb90m875r15xna52jyr-emacs-magit-3.3.0
> /gnu/store/720rj90bch716isd8z7lcwrnvz28ap4y-bash-static-5.1.8
> /gnu/store/vqdsrvs9jbn0ix2a58s99jwkh74124y5-coreutils-minimal-8.32
> /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33
> /gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8
> /gnu/store/094bbaq6glba86h1d4cj16xhdi6fk2jl-gcc-10.3.0-lib
> /gnu/store/hy6abswwv4d89zp464fw52z65fkzr7h5-perl-5.34.0
> /gnu/store/xd1bvmac1p4gjxb90m875r15xna52jyr-emacs-magit-3.3.0
>
> So it needs to be on your PATH.  For me, the value returned by 'C-h v
> magit-git-executable' is "git".  One thing we could do is patch the
> default value of this Elisp variable in our emacs-magit package to git,
> so that users wouldn't need installing git manually.

Commit b59b033af3957e0de9a44733e26cbcc7114a4dfb ("gnu: emacs-magit:
Substitute git executable path.") should prevent such a situation from
occurring.

-- 
Thanks,
Maxim

Subject: emacs-magit: path error during commit
From: Christopher Howard <[email-masked]>
To: Guix Bug Reports <[email-masked]>
Date: Thu, 28 Oct 2021 06:24:30 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, for a long time I've struggled with getting a path error when I
try to do a commit using emacs-magit. Here is an example log copied from
the magit-process buffer:

```
  0 git … add -u -- Genesis/gen_1.org
  1 git … commit --
hint: Waiting for your editor to close the file...
Waiting for Emacs...
*ERROR*: Searching for program: No such file or directory, git
error: There was a problem with the editor
'/gnu/store/dpky3z5844bclhswdk69z90vayy65b58-emacs-27.2/bin/emacsclient
--socket-name=/run/user/1000/emacs/server'.
Please supply the message using either -m or -F option.
```

I find this confusing because
- I can use magit to stage my commits
- In the Magit Group (M-x customize-group magit), the Magit Git
Executable is set to /home/christopher/.guix-profile/bin/git, and that
file does exist in my profile.
- /gnu/store/dpky3z5844bclhswdk69z90vayy65b58-emacs-27.2/bin/emacsclient 
also does exist
- Within emacs, I can run the shell command M-! git commit or M-! git
commit -m "..." and this works fine.

I suspect that emacs-magit might not be properly using the Magit Git
Executable path for this action, but haven't had a chance to look at the
source code yet. Probably this should be submitted as an issue or
support request to emacs-magit, but I have not done so since (on
principle) I do not have a github account, or use google groups.

Here is my system information;

```
christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System 9aaf402a379b9ac9e4c3eee5b16f7496d7606e91 x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.14.9-gnu 
Uptime: 1 hour, 20 mins 
Packages: 61 (guix-system), 155 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 1338MiB / 7893MiB 
```

-- 
Christopher Howard
Gemini capsule: gemini://gem.librehacker.com
Web version: https://portal.mozz.us/gemini/gem.librehacker.com